import os
import logging
from datetime import date
import urllib.request
from tqdm import tqdm

today = date.today()
today = today.strftime("%d_%m_%Y")

URLs = ["https://yoclub.pl/modules/pricewars2/service.php?id_xml=2"]

names = ["download/yoclub.xml"]
logging.basicConfig(filename=("logs/download_stocks_" + today +".log"), level=logging.INFO, format='%(asctime)s %(levelname)s:%(message)s', datefmt='%Y-%m-%d %H:%M:%S')


def download_url(url, output_path, name):
    remaining_download_tries = 5

    while remaining_download_tries > 0:
        try:
            urllib.request.urlretrieve(url, filename=output_path)
        except:
            print(f'{str(remaining_download_tries)} try to download file {name}')
            remaining_download_tries -= 1
        else:
            break

def execute():
    for url, name in zip(URLs, names):
        logging.info("Downloaded file {}".format(name))
        download_url(url, 'newfeed.xml', name)
        if(os.path.isfile(name)):
            os.remove(name)
        os.rename("newfeed.xml", name)
